Bug 480646 - Review Request: urlwatch - A tool for monitoring webpages for updates
Summary: Review Request: urlwatch - A tool for monitoring webpages for updates
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jochen Schmitt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 493299 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-01-19 16:57 UTC by Fabian Affolter
Modified: 2009-04-01 22:18 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-02-20 11:57:57 UTC
jochen: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Fabian Affolter 2009-01-19 16:57:50 UTC
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/urlwatch.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/urlwatch-1.7-1.fc9.src.rpm

Project URL: http://thpinfo.com/2008/urlwatch/

Description:
This script is intended to help you watch URLs and get notified (via
email or in your terminal) of any changes. The change notification
will include the URL that has changed and a unified diff of what has
changed.

The script supports the use of a filtering hook function to strip
trivially-varying elements of a webpage.

Basic features

* Simple configuration (text file, one URL per line)
* Easily hackable (clean Python implementation)
* Can run as a cronjob and mail changes to you
* Always outputs only plaintext - no HTML mails :)
* Supports removing noise (always-changing website parts)
* Example hooks to filter content in Python

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1066723

rpmlint output:
[fab@laptop024 noarch]$ rpmlint urlwatch-1.7-1.fc9.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[fab@laptop024 SRPMS]$ rpmlint urlwatch-1.7-1.fc9.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 1 Jochen Schmitt 2009-01-19 19:12:01 UTC
God:
+ Basename of SPEC file matches with package name
+ Package name fits with maming guidelines
+ Consistently usage of rpm macros
+ Package contains no subpackages
+ Source tar ball could downloaed via spectool
+ Tar ball in package matches with upstream
(md5sum: 29b3a00caad5f45c905ec621bec26687)
+ Package contains valid License tag
+ License tag has MIT as an valid OSS license
+ Package contains verbatin copy of the license text
+ Buildroot will be clean on the beginning of %install and %clean
+ Package has a %clean stanza
+ Local buidl works fine.
+ Local install works fine
+ Simple call to urlwatch works without crash
+ Local uninstall works fine
+ Build on koji works fine
+ Package will be build as noarch
+ Rpmlint has no complaints for source rpm
+ Rpmlint has no complaints for binary rpm
+ Files has proper file permissions
+ All packaged files are owned by the package
+ No packaged files are claimed by other packages
+ %doc stanza has small amount of files, so we need no separate doc subpackage

*** APPROVED ***

Comment 2 Itamar Reis Peixoto 2009-01-19 19:34:14 UTC
the license stated in urlwatch website is another.

http://thpinfo.com/2008/urlwatch/

"License
urlwatch is released under the terms of the BSD license"

why MIT in spec file ?

Comment 3 Fabian Affolter 2009-01-19 21:00:10 UTC
Itamar, you are right the license seems more to match the 'New BSD (no advertising, 3 clause)' than MIT.  I will change the license tag to BSD before cvs import.

Comment 4 Fabian Affolter 2009-01-19 21:00:55 UTC
New Package CVS Request
=======================
Package Name: urlwatch
Short Description: A tool for monitoring webpages for updates
Owners: fab
Branches: F-9 F-10
InitialCC:

Comment 5 Kevin Fenzi 2009-01-19 23:01:04 UTC
cvs done.

Comment 6 Fedora Update System 2009-01-20 00:02:02 UTC
urlwatch-1.7-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/urlwatch-1.7-2.fc10

Comment 7 Fedora Update System 2009-01-20 00:02:05 UTC
urlwatch-1.7-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/urlwatch-1.7-2.fc9

Comment 8 Fabian Affolter 2009-01-20 00:03:53 UTC
Thanks for the review and the cvs.

Comment 9 Fedora Update System 2009-01-21 21:27:35 UTC
urlwatch-1.7-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update urlwatch'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-0729

Comment 10 Fedora Update System 2009-01-21 21:27:38 UTC
urlwatch-1.7-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update urlwatch'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-0731

Comment 12 Jason Tibbitts 2009-04-01 22:18:31 UTC
*** Bug 493299 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.